import IHttpStatus from "../types/httpStatus.interface";

export const statusCodes: Array<IHttpStatus> = [
  { status: 200, msg: "OK" },
  { status: 201, msg: "Created" },
  { status: 202, msg: "Accepted" },
  { status: 203, msg: "Non-Authoritative Information" },
  { status: 204, msg: "No Content" },
  { status: 205, msg: "Reset Content" },
  { status: 206, msg: "Partial Content" },
  { status: 207, msg: "Multi-Status" },
  { status: 208, msg: "Already Reported (WebDAV)" },
  { status: 226, msg: "IM Used" },
  { status: 300, msg: "Multiple Choices" },
  { status: 301, msg: "Moved Permanently" },
  { status: 302, msg: "Found" },
  { status: 303, msg: "See Other" },
  { status: 304, msg: "Not Modified" },
  { status: 305, msg: "Use Proxy" },
  { status: 307, msg: "Temporary Redirect" },
  { status: 308, msg: "Permanent Redirect" },
  { status: 400, msg: "Bad Request" },
  { status: 401, msg: "Unauthorized" },
  { status: 402, msg: "Payment Required" },
  { status: 403, msg: "Forbidden" },
  { status: 404, msg: "Not Found" },
  { status: 405, msg: "Method Not Allowed" },
  { status: 406, msg: "Not Acceptable" },
  { status: 407, msg: "Proxy Authentication Required" },
  { status: 408, msg: "Request Timeout" },
  { status: 409, msg: "Conflict" },
  { status: 410, msg: "Gone" },
  { status: 411, msg: "Length Required" },
  { status: 412, msg: "Precondition Failed" },
  { status: 413, msg: "Request Entity Too Large" },
  { status: 414, msg: "Request-URI Too Long" },
  { status: 415, msg: "Unsupported Media Type" },
  { status: 416, msg: "Requested Range Not Satisfiable" },
  { status: 417, msg: "Expectation Failed" },
  { status: 418, msg: `I'm a teapot` },
  { status: 420, msg: "Enhance Your Calm" },
  { status: 421, msg: "Misdirected Request" },
  { status: 422, msg: "Unprocessable Entity" },
  { status: 423, msg: "Locked" },
  { status: 424, msg: "Failed Dependency" },
  { status: 425, msg: "Too Early" },
  { status: 426, msg: "Upgrade Required" },
  { status: 428, msg: "Precondition Required" },
  { status: 429, msg: "Too Many Requests" },
  { status: 431, msg: "Request Header Fields Too Large" },
  { status: 444, msg: "No Response" },
  { status: 449, msg: "Retry With" },
  { status: 450, msg: "Blocked by Windows Parental Controls" },
  { status: 451, msg: "Unavailable For Legal Reasons" },
  { status: 497, msg: "HTTP Request Sent to HTTPS Port" },
  { status: 498, msg: "Token expired/invalid" },
  { status: 499, msg: "Client Closed Request" },
  { status: 500, msg: "Internal Server Error" },
  { status: 501, msg: "Not Implemented" },
  { status: 502, msg: "Bad Gateway" },
  { status: 503, msg: "Service Unavailable" },
  { status: 504, msg: "Gateway Timeout" },
  { status: 505, msg: "HTTP Version Not Supported" },
  { status: 506, msg: "Variant Also Negotiates" },
  { status: 507, msg: "Insufficient Storage" },
  { status: 508, msg: "Loop Detected" },
  { status: 509, msg: "Bandwidth Limit Exceeded" },
  { status: 510, msg: "Not Extended" },
  { status: 511, msg: "Network Authentication Required" },
  { status: 521, msg: "Web Server is Down" },
  { status: 523, msg: "Origin is Unreachable" },
  { status: 525, msg: "SSL Handshake Failed" },
  { status: 598, msg: "Network read timeout error" },
  { status: 599, msg: "Network connect timeout error" },
];
